public class GasDataCS extends Object
{
//this file reads and store
public String gasName;
public int natom;
public String aName[];
public double aN[];
public int n_equation;
public double S[][]; //cubic spline coefficients
public int n_vis;
public double xvis[];
public int n_k;
public double xk[];
public double h0; // enthalpy at T=298 K
public double s0; // enthrophy at 298 K
public double hf; // enthalpy of formation
public double sf; // entropy of formation    kJ/kmol K

public GasDataCS(String igasName,String ianame[],double ia[],
double ih0,double iso,double ihf,double isf,
double ix[][],double ixvis[],double ixk[])
{
gasName=igasName;
natom=ianame.length;
aName=new String[natom];
aN=new double[natom];
for(int i=0;i<natom;i++) {aName[i]=ianame[i];aN[i]=ia[i];} 
S=NA49.cubic_spline(ix[0],ix[1],0.0,0.0);
h0=ih0;s0=iso;hf=ihf;sf=isf;
n_vis=ixvis.length;
xvis=new double[n_vis];
for(int i=0;i<n_vis;i++)
{xvis[i]=ixvis[i];}

n_k=ixk.length;;
xk=new double[n_k];
for(int i=0;i<n_vis;i++)
{xk[i]=ixk[i];}
}
public String k_toString()
{String s=gasName+" ";
n_k=xk.length;;
for(int i=0;i<n_k;i++)
{s+=xk[i]+" ";}
return s;
}
public String vis_toString()
{String s=gasName+" ";
n_vis=xvis.length;;
for(int i=0;i<n_vis;i++)
{s+=xvis[i]+" ";}
return s;
}


} 
